List Accounts
GET /v1/accounts
Retrieves a paginated list of accounts belonging to the API key's node.
Headers
| Header | Required | Value |
|---|---|---|
Authorization | Yes | Bearer <token> |
X-Target-Server | Yes | accounts |
Query Parameters
| Parameter | Type | Required | Default | Validation | Description |
|---|---|---|---|---|---|
page | integer | No | 1 | min: 1 | Page number |
limit | integer | No | 10 | min: 1, max: 100 | Items per page |
query | string | No | -- | max: 255 | Search by account name |
Response
200 OK
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Main Account",
"node_id": "660e8400-e29b-41d4-a716-446655440000",
"type": "organisation",
"status": 1,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z",
"deleted_at": null
}
],
"page": 1,
"per_page": 10,
"total": 1
}
401 Unauthorized
Invalid or missing token.